Subject: RE: New Cygwin installation
From: "Frank Wagner" <[email-masked]>
To: "Dave Korn" <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Mar 2004 17:43:02 +0100 (MET)

Hi Dave,

first thanks for your fast reply.
I replaced the #include <ostrstram> with #include<sstream>
but the type ostrstream type is still unknown.
By commenting out the following lines
//	ostrstream stmPort;

//    stmPort << "/dev/com" << devnum << ":" << ends;
//	stmPort << "/dev/com" << devnum << ends;
//	schnittstelle = stmPort.str();

and replacing it with:
	schnittstelle = "/dev/com2";

my application compiles very well.
So must I throw away all my old books about C++ or what can I do to compile
my 
older programs like they are?

Greetings

Frank

> > -----Original Message-----
> > From: cygwin-owner On Behalf Of Frank Wagner
> > Sent: 17 March 2004 09:03
> 
> > Hello,
> 
>   Hello.
> 
> > I updated my old cygwin installation with a newer one this 
> > week, I use cygwin in combination with a grafical development 
> > environment called Dev-Cpp.
> 
>   Never heard of it.
> 
> > In the old installation it was sufficient to set up the 
> > c-include paht with c:\cygwin\usr\include and the 
> > c++-includes with c:\cygwin\usr\include and c:\cygwin\usr\include\c++.
> > But now there are a lot more directories so called 
> > ..\c++\3.3.1\backward and ..\c++\3.3.1\i686-pc-cygwin.
> > So I want to know wich directories I have to enlist in the 
> > include section of my dev environment.
> 
>   The default search paths should be set up fine already, as long as  you
> make sure to use gcc.exe for compiling C and g++.exe for compiling C++
> files.  The only directories you should need to include in the dev
> environment are those with your own application's headers.
> 
> > By now I have a misterious warning:
> > >>2 C:\usr\include\c++\3.3.1\backward\backward_warning.h:32
> > #warning This file includes at least one deprecated or 
> > antiquated header.
> > Please consider using one of the 32 headers found in section 
> > 17.4.1.2 of the
> > C++ standard. Examples include substituting the <X> header 
> > for the <X.h> 
> > C++ header
> > for C++ includes, or <sstream> instead of the deprecated 
> > header <strstream.h>. To disable this warning use -Wno-deprecated.
> > <<
> 
>   Doesn't seem mysterious to me, but then again English is my first
> language.  It's telling you about the fact that the C++ standards
> committee
> decided to change all the header file names a while ago, and the original
> header names are all considered out-of-date now.
> 
> > The project I tried to compile compiled successfully with the 
> > old installation of cygwin.
> 
>   If you've been making your own include paths in the dev environment by
> hand, you might well have got some directories in the wrong order and
> caused
> this sort of error.  OTOH something could have changed in the C++ headers
> in
> a backwardly incompatible way, and the warning is to let you know to
> modify
> your code.  Let's take a look at your errors:
> 
> ----snip----
> g++.exe -D__DEBUG__ -c cpx_mon.cpp -o cpx_mon.o -I"C:/cygwin/usr/include"
> -I"C:/cygwin/usr/include/c++" 
> -I"C:/cygwin/usr/include/c++/3.3.1/backward"
> -I"C:/work/Sonstiges/priv/projekte/Software/include"   -ansi -g3
> ----snip----
> 
>   That's where you've tried to put your own include paths in there. 
> You've
> most likely got them in the wrong order.  The backward compatibility dir
> probably ought to be very last in the search order, but leave it to
> g++.exe,
> which knows what order to put them in already - take a look at the output
> >from "g++ -print-search-dirs".  Take out all the include dirs except for
> your own C:/work/Sonstiges/..... directory.
> 
> ----snip----
> In file included from /usr/include/c++/3.3.1/backward/strstream:51,
>                  from
> C:/work/Sonstiges/priv/projekte/Software/include/posix_terminal.h:21,
>                  from cpx_mon.h:25,
>                  from cpx_mon.cpp:9:
> /usr/include/c++/3.3.1/backward/backward_warning.h:32:2: warning: #warning
> This file includes at least one deprecated or antiquated header. Please
> consider using one of the 32 headers found in section 17.4.1.2 of the C++
> standard. Examples include substituting the <X> header for the <X.h>
> header
> for C++ includes, or <sstream> instead of the deprecated header
> <strstream.h>. To disable this warning use -Wno-deprecated.
> In file included from cpx_mon.cpp:9:
> ----snip----
> 
>   Possibly your posix_terminal.h has a "#include <strstream.h>" that
> should
> be changed into "#include <sstream>", as the warning suggests; or perhaps
> your posix_terminal.h is correct, but the wrong header file is being found
> because you got the search path order messed up.  The problem should
> disappear once you sort that out.
> 
> 
>     cheers, 
>       DaveK
> -- 
> Can't think of a witty .sigline today....
> 
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

-- 
+++ NEU bei GMX und erstmalig in Deutschland: TÜV-geprüfter Virenschutz +++
100% Virenerkennung nach Wildlist. Infos: http://www.gmx.net/virenschutz

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/